// NoticeDlg.cpp :  Դϴ.
//

#include "stdafx.h"
#include "NeMessenger.h"
#include "NoticeDlg.h"
#include "ClientConfig.h"
#include "CommonFunction.h"
#include "NeMessengerDlg.h"


// CNoticeDlg ȭ Դϴ.

IMPLEMENT_DYNCREATE(CNoticeDlg, CDHtmlDialog)

CNoticeDlg::CNoticeDlg(CWnd* pParent /*=NULL*/)
	: CDHtmlDialog(CNoticeDlg::IDD, CNoticeDlg::IDH, pParent), m_bIsUpdateNotice(FALSE)
{	
}

CNoticeDlg::~CNoticeDlg()
{
}

void CNoticeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDHtmlDialog::DoDataExchange(pDX);
}

BOOL CNoticeDlg::OnInitDialog()
{
	CDHtmlDialog::OnInitDialog();
	//SetHostFlags(DOCHOSTUIFLAG_NO3DBORDER);

	CString strTitle;
	strTitle.LoadString(IDS_NOTICE_TITLE);
	this->SetWindowText(strTitle);
	InitSkin();
	if (m_bIsUpdateNotice)
	{
		SetWindowPos(&CWnd::wndTopMost, 0, 0, 604, 778,0);
		long style = ::GetWindowLong(this->m_hWnd, GWL_STYLE);
		style &= ~WS_SYSMENU;
		::SetWindowLong(this->m_hWnd, GWL_STYLE, style);
	}
	else
		SetHostFlags(DOCHOSTUIFLAG_NO3DBORDER);
	
	return TRUE; 
}

BEGIN_MESSAGE_MAP(CNoticeDlg, CDHtmlDialog)
END_MESSAGE_MAP()

BEGIN_DHTML_EVENT_MAP(CNoticeDlg)
	DHTML_EVENT_ONCLICK(_T("ButtonOK"), OnButtonOK)
	DHTML_EVENT_ONCLICK(_T("ButtonCancel"), OnButtonCancel)
END_DHTML_EVENT_MAP()



HRESULT CNoticeDlg::OnButtonOK(IHTMLElement* /*pElement*/)
{

	CString strUpdateNoticeURL;
	strUpdateNoticeURL = GET_MESSENGER_DLG()->GetUpdateNoticeURL();

	int nViewCount = GET_CONFIG()->GetUpdateNoticeViewCount() ;
	GET_CONFIG()->SetUpdateNoticeURL(strUpdateNoticeURL);
	GET_CONFIG()->SetUpdateNoticeViewCount(++nViewCount);
	GET_CONFIG()->SaveClientConfig();
	OnOK();
	return S_OK;
}

HRESULT CNoticeDlg::OnButtonCancel(IHTMLElement* /*pElement*/)
{
	OnCancel();
	return S_OK;
}

void CNoticeDlg::InitSkin()
{
	TCHAR szStylesPath[_MAX_PATH];

	VERIFY(::GetModuleFileName(
		AfxGetApp()->m_hInstance, szStylesPath, _MAX_PATH));        

	CString strStylesPath = szStylesPath;
	int nIndex  = strStylesPath.ReverseFind(_T('\\'));
	if (nIndex > 0) 
	{
		strStylesPath = strStylesPath.Left(nIndex);
	}
	else 
	{
		strStylesPath.Empty();
	}
	strStylesPath += _T("\\IMAGES\\style\\");

	CXTPSkinManager* pSkinManager = XTPSkinManager();

	// LosdSkin()   ׸    .
	//  ׸ ϱ ؼ SetWindowsTheme  ̿ؾ .
	pSkinManager->ApplyWindow(GetSafeHwnd());
	CXTPSkinManagerSchema* pSchema = pSkinManager->CreateSchema(GetAppImgDir()+_T("\\style\\Ntalk.cjstyles"), _T("Base1.ini"));
	pSkinManager->SetWindowTheme(GetSafeHwnd(), pSchema);
	CMDTARGET_RELEASE(pSchema);
}

void CNoticeDlg::OnDocumentComplete(LPDISPATCH pDisp, LPCTSTR szUrl)
{

	CDHtmlDialog::OnDocumentComplete(pDisp, szUrl);


	/*
	HRESULT hr = S_OK;
	CComPtr<IWebBrowser2> pWB;
	
	hr = pDisp->QueryInterface(IID_IWebBrowser2, reinterpret_cast<void**>(&pWB));

	CComPtr<IDispatch> pDocDisp;
	hr = pWB->get_Document(&pDocDisp);

	if (!pDocDisp == FALSE)
	{
		CComPtr<IHTMLDocument2> pDoc;
		hr = pDocDisp->QueryInterface(IID_IHTMLDocument2, reinterpret_cast<void **>(&pDoc));
		CComPtr<IHTMLElement> pElement;
		if(pElement == NULL)
			return;

		hr = pDoc->get_body(&pElement);
		CComPtr<IHTMLBodyElement> pBodyElement;
		hr = pElement->QueryInterface(IID_IHTMLBodyElement, (void**)&pBodyElement);

		if (!pBodyElement == FALSE)
		{
			pBodyElement->put_scroll(CComBSTR(L"yes"));
		}

		CComPtr<IHTMLFrameBase> pFrame;
		hr = pElement->QueryInterface(IID_IHTMLFrameBase, (void**)&pFrame);
		if(!pFrame == FALSE)
		{
			pFrame->put_scrolling(CComBSTR(L"auto"));
		}

	}
	*/

}
